# VecScatterDestroy

Destroys a scatter context created by VecScatterCreate().

### Synopsis

    #include "petscis.h"
    #include "petscvec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecScatterDestroy(VecScatter ctx)

Collective on VecScatter

### Input Parameter

ctx -the scatter context

### See Also

VecScatterCreate(), VecScatterCopy()

Level:intermediate
Location: src/vec/vec/utils/vscat.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex33f.F.html
src/dm/ao/examples/tutorials/ex2.c.html
src/dm/da/examples/tutorials/ex2.c.html
src/dm/da/examples/tutorials/ex6.c.html
src/dm/da/examples/tutorials/ex6f90.F.html